#pragma once

#include "character/states/jobs/swordman/SwordmanActionHandler.h"

namespace frostbite2D {

class SwordmanSkill1Handler : public SwordmanActionHandlerBase {
public:
  SwordmanSkill1Handler();

  void OnEnter(CharacterStateContext& context,
               const CharacterActionDefinition& action) override;
  SwordmanActionUpdateResult OnUpdate(CharacterStateContext& context,
                                      const CharacterActionDefinition& action) override;
};

} // namespace frostbite2D
